Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.query.exp
Class InValueExpression

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.query.exp.InExpression
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.query.exp.InValueExpression

All Implemented Interfaces:
  Expression, JDBCExpression

public class InValueExpression
extends InExpression

Tests whether a value is IN a map value collection.

Constructor Summary
`InValueExpression(com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val, com.solarmetric.rd.kodo.impl.jdbc.query.exp.Constant constant)` Constructor.

Method Summary
`protected java.util.Collection` | `getCollection()` Return the collection to test for containment with.

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.query.exp.InExpression
`appendOrdering, appendTo, getConstant, getJoins, getValue, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InValueExpression

    public InValueExpression(com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val,
                             com.solarmetric.rd.kodo.impl.jdbc.query.exp.Constant constant)

  Constructor. Supply the value to test and the constant to obtain the parameters from.

Method Detail

### getCollection

    protected java.util.Collection getCollection()

  Return the collection to test for containment with.

  Overrides:
    `getCollection` in class `InExpression`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.